Logged out of Firefox account
My laptop just informed me that it was unable to sync because it could not login. The UI now says "Please sign in to reconnect 

I haven't changed my account password or anything like that for months. The only recent change was setting up a new browser on the same account on Monday.

Logs:

Sync.Service INFO Loading Weave 
Sync.Engine.Clients DEBUG Engine initialized
Sync.Engine.Clients DEBUG Resetting clients last sync time
Sync.Engine.Bookmarks DEBUG Engine initialized
Sync.Engine.Forms DEBUG Engine initialized
Sync.Engine.History DEBUG Engine initialized
Sync.Engine.Passwords DEBUG Engine initialized
Sync.Engine.Prefs DEBUG Engine initialized
Sync.Engine.Tabs DEBUG Engine initialized
Sync.Engine.Tabs DEBUG Resetting tabs last sync time
Sync.Engine.Addons DEBUG Engine initialized
Sync.Service INFO  (X11; Linux x86_64; rv:34.0)  
Sync.SyncScheduler DEBUG Clearing sync triggers and the global score.
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.Service DEBUG Caching URLs under storage user base: 
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.AddonsReconciler INFO Registering as Add-on Manager listener.
Sync.AddonsReconciler DEBUG Adding change listener.
Sync.Tracker.History INFO Adding Places observer.
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.Engine.AdblockPlus DEBUG Engine initialized
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
FirefoxAccounts INFO Can't find the rest of the credentials in the login manager
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.SyncScheduler DEBUG Clearing sync triggers and the global score.
Sync.SyncScheduler DEBUG Next sync in  ms.
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Tracker.History DEBUG Saving changed IDs to history
Sync.Service DEBUG User-Agent:  
Sync.Service INFO Starting sync at  
Sync.Service DEBUG In sync: should login.
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.Service INFO Logging in the user.
Sync.Service DEBUG Caching URLs under storage user base: 
FirefoxAccounts INFO Can't find the rest of the credentials in the login manager
Sync.Service DEBUG Fetching unlocked auth state returned error.login.reason.account
Sync.Status DEBUG Status.login: error.login.reason.account => error.login.reason.account
Sync.Status DEBUG Status.service: error.login.failed => error.login.failed
Sync.SyncScheduler DEBUG Clearing sync triggers and the global score.
